## palemoon 28.3.1+repack

=== debian/changelog ===
palemoon (28.3.1+repack-1~mx17+1) mx; urgency=medium

  * New upstream minor security and stablility release:
    - Disabled the IntersectionObserver API by default while we work on
      resolving crashes caused by it.
    - Added isIntersecting to the IntersectionObserver API per specification.
    - Added an option to the preferences window to enable Captive Portal
      detection (Advanced -> General). If your network connection regularly
      encounters Captive Portals (e.g. using a laptop on the road or other WiFi
      connections that require login or agreement to terms) then enabling this
      detection may make your use of such networks more convenient.
      For those worried about privacy: the detection service makes use of our own
      infrastructure and does not contact third parties like Apple or Google.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Jan 2019 11:45:09 -0800
