## palemoon 28.5.0+repack

=== debian/changelog ===
palemoon (28.5.0+repack-1mx17+1) mx; urgency=medium

  * New upstream major development and bugfix release:
    - Redesigned the about box.
    - Added "Check for updates" menu entries to the AppMenu and classic menu
      (since the About box redesign no longer has application update in it).
    - Restored the app.update.url.override pref for AUS testing/override.
    - Added "Loop" control to html5 video.
    - Fixed a crash with frames (e.g. when using Tile Tabs).
    - Fixed an issue with textarea placeholders (spec compliance).
    - Removed the Windows Maintenance Service one last time.
    - Improved http basic auth DoS heuristics.
    - Fixed an issue on big-endian machines (e.g. PPC64/linux).
    - Removed e10s code from widgets.
    - Preffed the various http "Accept" headers and aligned with the Fetch spec
      (except for image requests).
    - Aligned URLSearchParams with the spec.
    - Updated several site-specific UA overrides.
    - Fixed "Yet Another special case of a flex frame being the absolute
      containing block"™
    - Fixed border drawing when the tab bar is hidden.
    - Pref-controlled and disabled the use of unboxed plain objects in
      JavaScript's JIT compiler.
    - Improved handling of interrupted connections through proxies and
      pseudo-VPN extensions.
    - Removed contextual identity.
    - Updated the 7zip installer stub to a much more recent code version.
    - Fixed an issue with applying percentages to 0 in layout sizes.
    - Fixed an issue with calculating linear sums in JS JITed code.
    - Added default value feature to get*Pref() preference functions.
    - Fixed an issue that would occasionally overwrite the new tab custom URL.
    - Updated the SQLite library to 3.27.2
    - Killed the crashreporter toolkit files and exception handler hooks.
    - Fixed an issue with a missing border on the tab bar when on the bottom.
    - Fixed a crash with badly-formatted SVG files.
    - Showed the robots to the exit after squatting in the browser for decades.
    - JavaScript: Implemented TC39 toString() revision proposal.
    - Rearchitectured the JavaScript front-end parser to provide better and more
      logical parsing of JS code.
    - Removed support code and leftovers for unsupported SunOS, AIX, BEOS, HPUX
      and OS/2 operating systems.
    - Fixed a scrollbar arrow issue on OS X.
    - Removed all Firefox Accounts code.
    - Made the CSS parser more robust and aligned url() behavior with the CSS3
      spec in case of bad input.
    - Fixed an issue with blocklist updates not actually dynamically applying
      due to a wrong URL.
    - Updated the embedded emoji font to the TweMoji v11.4.0 equivalent.
    - Fixed an issue with async/deferred scripts preventing page loads from
      completing.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 Apr 2019 10:19:50 -0700

palemoon (28.4.1+repack-1~mx17+1) mx; urgency=medium

  * New upstream security and bugfix release:
    - Fixed hover state arrows on some controls.
    - Fixed potential denial-of-service issues involving FTP (loading of
      subresources and spamming errors).
    - Disabled Microsoft Family Safety (Win 8.1) by default. This prevents
      security issues as a result of a local MitM setup.
    - Added several site-specific overrides (Firefox Send and polyfill.io) to
      work around website UA-sniffing isues.
    - Implemented the origin-clean algorithm for controlling access to image
      resources.
    - Cleaned up the helper application service code.
    - Ported applicable security fixes from Mozilla (CVE-2019-9791,
      CVE-2019-9792, CVE-2019-9796, CVE-2019-9801, CVE-2019-9793, CVE-2019-9794,
      CVE-2019-9808 and ZDI-CAN-8368).
    - Implemented several defense-in-depth measures (for CVE-2019-9790,
      CVE-2019-9797, CVE-2019-9804, and a JavaScript issue).
    - Fixed several memory safety hazards and crashes.

  * Add provides for www-browser and gnome-www-browser.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 26 Mar 2019 13:01:22 -0700
