## palemoon 28.5.2+repack

=== debian/changelog ===
palemoon (28.5.2+repack-1~mx17+2) mx; urgency=medium

  * Rebuild 32-bit version on a vanilla Debian schroot.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 08 Jun 2019 11:07:30 -0700

palemoon (28.5.2+repack-1~mx17+1) mx; urgency=medium

  * New upstream security and bugfix release:
    # Changes/fixes:
      - Restored a global getBoolPref() function shortcut for extension
        compatibility with old extensions.
      - If you are currently using this global function, please change it to
        Services.prefs.getBoolPref()
      - Fixed an issue with the UI when the address bar was removed from the
        navigation toolbar.
      - Fixed an issue with scripting of the Help menu.
      - Fixed a crash resulting from non-standard manipulation of XML stylesheets
        by extensions.
      - Fixed Aero Peek (taskbar previews) on Windows.
      - Fixed browser.link.open_newwindow functionality.
      - Removed the default handler for webcal since the site doesn't seem to be
        properly maintained.
      - Prevented some ways smart places queries could be abused for social
        engineering attacks.
      - Ported an upstream Skia fix.
      - Improved the origin-clean algorithm for canvases.
      - Improved the efficiency of certain types of memory allocations in the
        JavaScript compiler.
      - Changed the way the application update checker code is hooked up so it
        will not require a user to go idle before being activated.
      - This solves the primary issue with application updates not notifying 
        users as promptly as they should; more improvements are slated for the
        next major release.
      - Applicable security issues fixed: CVE-2019-7317, CVE-2019-11701,
        CVE-2019-11698, CVE-2019-9817 (DiD), CVE-2019-11700, CVE-2019-11696,
        CVE-2019-11693, and several potentially exploitable crashes and memory
        safety hazards that do not have a CVE number assigned to them.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Jun 2019 19:28:50 -0700

palemoon (28.5.0+repack-1) obs; urgency=medium

  * New upstream release:
    - Redesigned the about box.
    - Added "Check for updates" menu entries to the AppMenu and classic menu
      (since the About box redesign no longer has application update in it).
    - Restored the app.update.url.override pref for AUS testing/override.
    - Added "Loop" control to html5 video.
    - Fixed a crash with frames (e.g. when using Tile Tabs).
    - Fixed an issue with textarea placeholders (spec compliance).
    - Removed the Windows Maintenance Service one last time.
    - Improved http basic auth DoS heuristics.
    - Fixed an issue on big-endian machines (e.g. PPC64/linux).
    - Removed e10s code from widgets.
    - Preffed the various http "Accept" headers and aligned with the Fetch spec
      (except for image requests).
    - Aligned URLSearchParams with the spec.
    - Updated several site-specific UA overrides.
    - Fixed "Yet Another special case of a flex frame being the absolute
      containing block"™
    - Fixed border drawing when the tab bar is hidden.
    - Pref-controlled and disabled the use of unboxed plain objects in
      JavaScript's JIT compiler.
    - Improved handling of interrupted connections through proxies and
      pseudo-VPN extensions.
    - Removed contextual identity.
    - Updated the 7zip installer stub to a much more recent code version.
    - Fixed an issue with applying percentages to 0 in layout sizes.
    - Fixed an issue with calculating linear sums in JS JITed code.
    - Added default value feature to get*Pref() preference functions.
    - Fixed an issue that would occasionally overwrite the new tab custom URL.
    - Updated the SQLite library to 3.27.2
    - Killed the crashreporter toolkit files and exception handler hooks.
    - Fixed an issue with a missing border on the tab bar when on the bottom.
    - Fixed a crash with badly-formatted SVG files.
    - Showed the robots to the exit after squatting in the browser for decades.
    - JavaScript: Implemented TC39 toString() revision proposal.
    - Rearchitectured the JavaScript front-end parser to provide better and more
      logical parsing of JS code.
    - Removed support code and leftovers for unsupported SunOS, AIX, BEOS, HPUX
      and OS/2 operating systems.
    - Fixed a scrollbar arrow issue on OS X.
    - Removed all Firefox Accounts code.
    - Made the CSS parser more robust and aligned url() behavior with the CSS3
      spec in case of bad input.
    - Fixed an issue with blocklist updates not actually dynamically applying
      due to a wrong URL.
    - Updated the embedded emoji font to the TweMoji v11.4.0 equivalent.
    - Fixed an issue with async/deferred scripts preventing page loads from
      completing.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 Apr 2019 10:19:50 -0700
