## palemoon 28.6.0.1+repack

=== debian/changelog ===
palemoon (28.6.0.1+repack-1~mx15+1) mx; urgency=medium

  * Out-of-band update to fix some pressing issues:
    - Updated the application icon to provide better visuals on Windows classic
      and other grey backgrounds.
    - Reduced the Master Password hashing rounds to prevent issues with stored
      password retrieval while still sufficiently strengthening the encryption.
      If you have previously re-keyed the database after the update to 28.6.0,
      you should do so again by going through the change master password process
      to reduce access times.
    - Updated the WhatsApp Web site-specific user-agent override to respond to
      Google refusing access based on the old string.
    - Updated the branding for the portable launcher.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 05 Jul 2019 16:33:56 -0700

palemoon (28.6.0+repack-1~mx17+1) mx; urgency=medium

  * Major development update, focusing on under-the-hood improvements and
    bugfixes, code cleanup, and performance:

    - Implemented String.prototype.trimStart and String.prototype.trimEnd
      (ES2019)
    - Implemented Array.prototype.flat and Array.prototype.flatMap (ES2019)
    - Implemented Symbol.prototype.description (ES2019)
    - Added support for gzip-compressed SVG-in-Opentype fonts.
    - Updated official branding.
    - Updated reader view components.
    - Added a preference to control the setting of cookies through meta header
      information (non-standard feature) and disabled by default.
    - Updated ES6 Atomics and re-enabled them.
    - Updated internationalization code to support updated time zones and the
      Japanese Reiwa era.
    - Updated NSS to a custom version to have better encryption strength for
      master passwords.
      IMPORTANT: To use this strong encryption and re-key the password database
      with it, change your master password (can be changed to the same one you
      already had if desired, but you have to go through the change password
      process). Depending on your computer and the number of stored passwords,
      this encryption update may take some time, so please be patient. Please be
      aware that once re-keyed, the password store will be locked to the new
      encryption and will no longer be accessible with the master password in
      older versions of Pale Moon.
    - Restored "Release notes" in the help menu.
    - Rearchitectured the application/extension update code.
    - Added several performance improvements to DOM and the parser.
    - Improved JavaScript garbage collection of dead compartments.
    - Fixed a performance issue with painting on some pages.
    - Improved performance of some websites with complex event regions.
    - Fixed a potential performance issue in display lists on some pages.
    - Fixed a rendering bottleneck for the use of XRender when using a remote
      session.
    - Fixed graphical artifacts/flickering when using XRender on Intel or
      Intel-hybrid GPU setups.
    - Added a DiD fix for potential future issues with inlining array natives.
    - Fixed a potential UAF situation in the HTML5 parser (DiD)
    - Fixed an origin-clean bypass issue.
    - Changed the way permissions for predefined sites are loaded.
    - Reverted the 28.5.1 change to treat *.jnlp files as executables
      (CVE-2019-11696) after input from an Oracle representative. Java Web Start
      files are not executable and should not be treated any different than
      regular documents handled by external applications.
    - Removed SecurityUI telemetry.
    - Removed some other dead telemetry code.
    - Removed geo-specific selection of default search engines.
    - Deprecated the use of FUEL.
    - Removed the unused code for "enhanced tiles" in the new tab page.
    - Removed preference to brute-force e10s to on.
    - Removed Unboxed Array code.
    - Removed Unboxed Object code.
    - Fixed failure to print if a page contains a 0-sized element.
    - Fixed an issue with tab-modal dialogs being presented in the wrong order.
    - Fixed an issue with the tab bar remaining collapsed in customize mode if
      normally hidden.
    - Fixed an issue with Sync when choosing to overwrite data with synced data.
    - Fixed an issue with tab previews on the taskbar.
    - Fixed an issue with IntersectionObserver viewport accuracy.
    - Fixed Scroll bar orientation on Mac OS X.
    - Fixed an issue with anchor/link targets not re-using a named target.
    - Fixed a build issue with Gnu-CC on PPC64.
    - Fixed browser.link.open_newwindow functionality.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Jul 2019 14:14:16 -0700

palemoon (28.5.2+repack-1) obs; urgency=medium

  * New upstream security and bugfix release:
    # Changes/fixes:
      - Restored a global getBoolPref() function shortcut for extension
        compatibility with old extensions.
      - If you are currently using this global function, please change it to
        Services.prefs.getBoolPref()
      - Fixed an issue with the UI when the address bar was removed from the
        navigation toolbar.
      - Fixed an issue with scripting of the Help menu.
      - Fixed a crash resulting from non-standard manipulation of XML stylesheets
        by extensions.
      - Fixed Aero Peek (taskbar previews) on Windows.
      - Fixed browser.link.open_newwindow functionality.
      - Removed the default handler for webcal since the site doesn't seem to be
        properly maintained.
      - Prevented some ways smart places queries could be abused for social
        engineering attacks.
      - Ported an upstream Skia fix.
      - Improved the origin-clean algorithm for canvases.
      - Improved the efficiency of certain types of memory allocations in the
        JavaScript compiler.
      - Changed the way the application update checker code is hooked up so it
        will not require a user to go idle before being activated.

